### Function

# GimpUi QuerySizeCallback

#### Declaration

    void
    (* GimpQuerySizeCallback) (
      GtkWidget* query_box,
      gdouble size,
      GimpUnit unit,
      gpointer data
    )

#### Description [src]

The callback for a size query box.

#### Parameters

`query_box` | `GtkWidget`
| The query box.
| The data is owned by the caller of the function.
`size` | `gdouble`
| The entered size in pixels.
`unit` | `None`
| The selected unit from the `GimpUnitMenu`.
`data` | `gpointer`
| User data.
| The argument can be `NULL`.
| The data is owned by the caller of the function.